> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Standalone VM Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/clusters/hetzner/{cluster_id}/vms
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/hetzner/{cluster_id}/vms:
    post:
      tags:
        - Hetzner Cluster API
      summary: Add Standalone VM Endpoint
      operationId: add_standalone_vm_endpoint_api_v1_clusters_hetzner__cluster_id__vms_post
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            title: Cluster Id
            type: string
        - in: query
          name: wait
          required: false
          schema:
            default: false
            title: Wait
            type: boolean
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddStandaloneVMRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/AddStandaloneVMResult'
                  - $ref: '#/components/schemas/AsyncWriteAcceptedResponse'
                title: >-
                  Response Add Standalone VM Endpoint Api V1 Clusters Hetzner 
                  Cluster Id  Standalone VMs Post
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Conflicting or unsafe lifecycle state
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    AddStandaloneVMRequest:
      properties:
        name:
          title: Name
          type: string
          description: >-
            1-32 lowercase letters, digits or hyphens, starting and ending with
            a letter or digit.
        instance_type:
          title: Instance Type
          type: string
        location:
          title: Location
          type: string
          description: Defaults to the bastion's location.
        public_ip:
          default: false
          title: Public Ip
          type: boolean
      required:
        - name
        - instance_type
      title: AddStandaloneVMRequest
      type: object
    AddStandaloneVMResult:
      properties:
        id:
          format: uuid
          type: string
          title: Id
        name:
          title: Name
          type: string
        server_name:
          title: Server Name
          type: string
        instance_type:
          title: Instance Type
          type: string
        location:
          title: Location
          type: string
        public_ip:
          title: Public Ip
          type: boolean
        operation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Operation Id
      required:
        - id
        - name
        - server_name
        - instance_type
        - location
        - public_ip
        - operation_id
      title: AddStandaloneVMResult
      type: object
    AsyncWriteAcceptedResponse:
      properties:
        status:
          default: accepted
          title: Status
          type: string
      title: AsyncWriteAcceptedResponse
      type: object
    ContractDetailError:
      example:
        detail: Cluster not found
      properties:
        detail:
          oneOf:
            - type: string
            - additionalProperties: true
              properties: {}
              type: object
      required:
        - detail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````